Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.cataloguemanager.control
Class RespPartyConfiguration

    java.lang.Object
      org.deegree.portal.cataloguemanager.control.RespPartyConfiguration

All Implemented Interfaces:
  Serializable

    public class RespPartyConfiguration

extends Object
implements Serializable

TODO add class documentation here

Version:
  $Revision: $, $Date: $
Author:
  Andreas Poth, last edited by: $Author: admin $
See Also:
  Serialized Form

Constructor Summary
`RespPartyConfiguration()`

Method Summary
`String` | `getCity()`
`String` | `getCountry()`
`String` | `getDisplayName()`
`String` | `getEmail()`
`String` | `getFacsimile()`
`String` | `getIndividualName()`
`String` | `getOrganisationName()`
`String` | `getPostalCode()`
`String` | `getRole()`
`String` | `getStreet()`
`String` | `getVoice()`
`void` | `setCity(String city)`
`void` | `setCountry(String country)`
`void` | `setDisplayName(String displayName)`
`void` | `setEmail(String email)`
`void` | `setFacsimile(String facsimile)`
`void` | `setIndividualName(String individualName)`
`void` | `setOrganisationName(String organisationName)`
`void` | `setPostalCode(String postalCode)`
`void` | `setRole(String role)`
`void` | `setStreet(String street)`
`void` | `setVoice(String voice)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RespPartyConfiguration

    public RespPartyConfiguration()

Method Detail

### getDisplayName

    public String getDisplayName()

  Returns:
    the displayName

### setDisplayName

    public void setDisplayName(String displayName)

  Parameters:
    `displayName` - the displayName to set

### getIndividualName

    public String getIndividualName()

  Returns:
    the individualName

### setIndividualName

    public void setIndividualName(String individualName)

  Parameters:
    `individualName` - the individualName to set

### getOrganisationName

    public String getOrganisationName()

  Returns:
    the organisationName

### setOrganisationName

    public void setOrganisationName(String organisationName)

  Parameters:
    `organisationName` - the organisationName to set

### getRole

    public String getRole()

  Returns:
    the role

### setRole

    public void setRole(String role)

  Parameters:
    `role` - the role to set

### getStreet

    public String getStreet()

  Returns:
    the street

### setStreet

    public void setStreet(String street)

  Parameters:
    `street` - the street to set

### getCity

    public String getCity()

  Returns:
    the city

### setCity

    public void setCity(String city)

  Parameters:
    `city` - the city to set

### getPostalCode

    public String getPostalCode()

  Returns:
    the postalCode

### setPostalCode

    public void setPostalCode(String postalCode)

  Parameters:
    `postalCode` - the postalCode to set

### getCountry

    public String getCountry()

  Returns:
    the country

### setCountry

    public void setCountry(String country)

  Parameters:
    `country` - the country to set

### getVoice

    public String getVoice()

  Returns:
    the voice

### setVoice

    public void setVoice(String voice)

  Parameters:
    `voice` - the voice to set

### getFacsimile

    public String getFacsimile()

  Returns:
    the facsimile

### setFacsimile

    public void setFacsimile(String facsimile)

  Parameters:
    `facsimile` - the facsimile to set

### getEmail

    public String getEmail()

  Returns:
    the email

### setEmail

    public void setEmail(String email)

  Parameters:
    `email` - the email to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org